org.richfaces.component

## Class RowKeyContextEventWrapper

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.richfaces.component.RowKeyContextEventWrapper

- All Implemented Interfaces:
    Serializable

      public class RowKeyContextEventWrapper
      extends javax.faces.event.FacesEvent

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKeyContextEventWrapper(UIDataAdaptor component, javax.faces.event.FacesEvent event, Object eventRowKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.context.FacesContext context)`
    `UIDataAdaptor` | `getComponent()`
    `Object` | `getEventRowKey()`
    `javax.faces.event.FacesEvent` | `getFacesEvent()`
    `javax.faces.event.PhaseId` | `getPhaseId()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`
    `void` | `setPhaseId(javax.faces.event.PhaseId phaseId)`
    `protected void` | `setupEventContext(javax.faces.context.FacesContext facesContext)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `queue`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowKeyContextEventWrapper

          public RowKeyContextEventWrapper(UIDataAdaptor component,
                                           javax.faces.event.FacesEvent event,
                                           Object eventRowKey)

  - ### Method Detail

    - #### getFacesEvent

          public javax.faces.event.FacesEvent getFacesEvent()

    - #### getPhaseId

          public javax.faces.event.PhaseId getPhaseId()

      Overrides:
        `getPhaseId` in class `javax.faces.event.FacesEvent`

    - #### setPhaseId

          public void setPhaseId(javax.faces.event.PhaseId phaseId)

      Overrides:
        `setPhaseId` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getComponent

          public UIDataAdaptor getComponent()

      Overrides:
        `getComponent` in class `javax.faces.event.FacesEvent`

    - #### getEventRowKey

          public Object getEventRowKey()

    - #### setupEventContext

          protected void setupEventContext(javax.faces.context.FacesContext facesContext)

    - #### broadcast

          public void broadcast(javax.faces.context.FacesContext context)
                         throws javax.faces.event.AbortProcessingException

      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.